s10_level_hints.levels["Level 7"] = function()
	return
	{
		miniscenes
		({
			level07_miniscene_column = 
			{
				miniscene("area_column")
			}
		}),
		
		-- найти молоток
		click("area_jug"),
		take("hammer"),
		
		-- сдвинуть камень с постамента
		take("pincher"),
		on_scene("level07_miniscene_column", click("area_stone", "pincher")),
		click("area_column", "pincher"),
		
		-- зажечь курильницу
		on_scene("level07_miniscene_column", take("cigarette_lighter")),
		click("area_censer", "cigarette_lighter"),
		
		-- достать 4 гвоздя из доски
		on_scene("level07_miniscene_column", take("board_with_nails", "area_board_with_nails")),
		IF(state("clip_fire", "clip_fire01"), click("area_censer", "board_with_nails")),
		take("bowl"),
		click("area_barrel", "bowl"),
		IF(state("clip_fire", "clip_fire02"), click("area_censer", "bowl_with_water")),
		
		-- сколотить лестницу
		take("nail01"),
		take("nail02"),
		take("board01"),
		take("board02"),
		take("board03"),
		take("board04"),
		take("board05"),
		IF(state_in_inv("board_inv", "board_inv05"), click("area_stair01", "board_inv")),
		IF(state_in_inv("nail_inv", "nail_inv10"), click("area_stair02", "nail_inv")),
		IF(state("stair", "stair03"), click("area_stair02", "hammer")),
		IF(state("stair", "stair04"), click("area_stair02")),
		
		-- секретный проход
		IF(state("stair", "stair05"), minigame("area_minigame")),
		take("amulet_time", "area_dart"),
		take("dart", "area_dart"),
		click("area_diana", "dart"),
		end_level("area_next_level")
	}	
end
